# OptionSelectSettings | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class OptionSelectSettings

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:823

##### Index

### Constructors

constructor

### Properties

hideDescription?
overrideDescription?
overrideOptions?
overrideQuery?
overrideTitle?
slideInDescription?
startingCursorIndex?

## Constructors

### constructor

- new OptionSelectSettings(): OptionSelectSettings

  #### Returns OptionSelectSettings

## Properties

### `Optional` hideDescription

hideDescription?: boolean

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:824

### `Optional` overrideDescription

overrideDescription?: string

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:827

### `Optional` overrideOptions

overrideOptions?: default []

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:829

### `Optional` overrideQuery

overrideQuery?: string

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:828

### `Optional` overrideTitle

overrideTitle?: string

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:826

### `Optional` slideInDescription

slideInDescription?: boolean

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:825

### `Optional` startingCursorIndex

startingCursorIndex?: number

- Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:830